:doc:`/index`

.. _deepdiff_label:

DeepDiff
========

.. automodule:: deepdiff.diff

.. autoclass:: DeepDiff
    :members:

.. toctree::
   :maxdepth: 3

   basics
   custom
   deep_distance
   exclude_paths
   ignore_order
   ignore_types_or_values
   numbers
   optimizations
   other
   serialization
   stats
   troubleshoot
   view

Back to :doc:`/index`
